<!-- Hoverable rows -->
<div class="row">
    <!-- w-400 = width: 40rem (400px), mw-full = max-width: 100% -->
    <div class="col-md-10 mx-auto">
        <br>
        <nav aria-label="">
            <ul class="pagination">
                <!-- Disabled page item -->
                <li class="page-item">
                    <button class="btn" (click)="prevPage()">Prev.</button> <!-- w-50 = width: 5rem (50px) -->
                </li>
                <!-- Active page item -->
                <li class="page-item">
                    <button class="btn btn-primary ml-5" (click)="nextPage()" [disabled]="(userService.users | filtro:page:search).length === 0">Next</button> <!-- w-50 = width: 5rem (50px) -->
                </li>
            </ul>
        </nav>
        <div class="container-fluid">
            <div class="row justify-content-between">
                 
                <div class="col-4 input-group">
                    <div class="input-group-prepend dropdown">
                        <select class="form-control" #Select (change)="consoleLog(Select.value)">
                            <option *ngFor="let opt of criteria" [value]="opt.value">{{ opt.option }}</option>
                        </select>
                    </div>
                    <input type="text" class="form-control" placeholder="&#xF002; Search" style="font-family:Arial, FontAwesome" #textSearch (keyup)="onSearchUser(textSearch.value)">
                </div>
                <div class="col-auto-4 align-self-end">
                  <a class="hyperlink btn btn-primary" (click)="openModalRegister('modal-3')" ><i class="fas fa-user-plus"></i>  Nuevo Usuario</a>
              </div>
            </div>
        </div>
        
        <table class="table table-hover">
            <thead>
                <tr>
                    
                    <th>Nombres</th>
                    <th>Email</th>
                    <th>Estado</th>
                    <th>Rol</th>
                    <th class="text-right">Opciones</th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let us of userService.users | filtro:page:search:selectedOption">

                    
                    <td>{{us.name}}</td>
                    <td>{{us.email}}</td>
                    <td>{{(us.status==1)?'Activo':'No Activo'}}</td>

                    <td><a style="text-decoration: none;" data-toggle="tooltip" data-title="Roles validos : USER SUPER_ADMIN " data-placement="left">
                      <input type="text" class="form-control alt-dm" value={{us.roles}} (change)="setRol(us.email,$event)"></a>
                    <td class="text-right">
                        <div class="container-fluid">
                            <div class="row justify-content-end"> 
                                <div class="col-4"><a class="hyperlink" (click)="openModal('modal-2',us)" ><i class="fa fa-edit"></i></a> </div>
                                <div class="col-4"><a class="hyperlink" (click)="deleteUser(us.email)" ><i class="fas fa-trash-alt"></i></a></div>
                            </div>
                        </div>
                    </td>
                </tr>

            </tbody>
        </table>
    </div>
</div>

<div class="sticky-alerts"></div>
  
<!-- Edit modal -->
<div class="modal" id="modal-2" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <!--<button (click)="closeModal('modal-2')" class="btn close" role="button" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>-->
            <h5 class="modal-title">Detalle del usuario</h5>
            <form #userForm="ngForm" (ngSubmit)="registerOrEdit(userForm)">
                <!-- 1 row -->
                <input type="hidden" name="email" #email = "ngModel" [(ngModel)]="userService.selectedUser.email">
                <div class="form-row row-eq-spacing-sm">
                  <div class="col-sm">
                    <label for="first-name" class="required">Nombres</label>
                    <input type="text" class="form-control" id="name" name="name" #name = "ngModel" placeholder="Ingrese los nombres" [(ngModel)]="userService.selectedUser.name">
                  </div>
                </div>
               
                <div class="btn-group" role="group" aria-label="Another button group">
                    <input class="btn btn-primary" type="submit" value="Enviar">
                    <button class="btn" type="button" (click)="closeModal('modal-2')">Salir</button>
                    <!--clearForm(userForm)-->
                </div>
                
              </form>

        </div>
    </div>
</div>

<!-- Registro modal -->
<div class="modal" id="modal-3" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
           <!--
<button (click)="closeModal('modal-3')" class="btn close" role="button" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
           --> 
            <h5 class="modal-title">Detalle del usuario</h5>
            <form #userForm1="ngForm" (ngSubmit)="register(userForm1)">
                <!-- 1 row -->
                
                <div class="form-row row-eq-spacing-sm">
                  <div class="col-sm">
                    <label for="first-name" class="required">Email</label>
                    <input type="email" class="form-control" id="email" name="email" placeholder="Ingrese correo electronico"
                    #email = "ngModel" [(ngModel)]="userService.newUser.email">
                  </div>
                  <div class="col-sm">
                    <label for="last-name">Password</label>
                    <input type="Password" class="form-control" id="password" name="password" placeholder="Ingrese contraseña"
                    #password = "ngModel" [(ngModel)]="userService.newUser.password">
                  </div>
              </div>
                <div class="form-row row-eq-spacing-sm">
                    <div class="col-sm">
                      <label for="first-name" class="required">Nombres</label>
                      <input type="text" class="form-control" id="name" name="name" placeholder="Ingrese los nombres" 
                      #name = "ngModel" [(ngModel)]="userService.newUser.name">
                    </div>
                </div>
               
                <div class="btn-group" role="group" aria-label="Another button group">
                    <input class="btn btn-primary" type="submit" value="Enviar">
                    <button class="btn" type="button" (click)="closeModal('modal-3')">Salir</button>
                </div>
                
              </form>

        </div>
    </div>
</div>

